@import "@/styles/variables";

.topic-card {
    display: grid;
    gap: 0.5rem;
    grid-template-rows: min(2.5rem) minmax(20px, 4.5rem) auto;
    width: 100%;
    height: 100%;

    @media screen and (width <= 319px) {
        gap: 0.25rem;
    }

    @include smallscreen {
        justify-items: end;
        grid-template-rows: 2fr 1fr;
        grid-template-columns: 3fr 1fr;
        min-height: 10rem;
    }

    @include notebook {
        min-height: 8rem;
    }

    &:disabled {
        cursor: not-allowed;
        pointer-events: all !important;
    }

    &-icon {
        height: 1.5rem;
        width: 1.5rem;
        display: flex;
        align-items: center;
        justify-content: center;

        img {
                object-fit: contain;
                min-width: 1.5rem;
            }

    }

    &-label {
        @include h6-mobile;

        color: $black;
        grid-row: 2 / 3;
        place-self: end start;
        text-align: start;

        @media screen and (width <= 320px) {
            font-size: $fs-p-sm - 1px;
            line-height: $linhe-p - 2px;
        }

        @include smallscreen {
            grid-row: 1 / 2;
            align-self: initial;
        }

        @include notebook {
            @include h5-mobile;
        }
    }

    &-link {
        @include paragraph-sm;

        letter-spacing: 0.1px;
        color: $secondary-color;
        place-self: end start;

        @media screen and (width <= 319px) {
            font-size: $fs-p-sm - 1px;
            line-height: $linhe-p - 2px;
        }

        @include notebook {
            @include paragraph;
        }
    }
}
